#!/usr/bin/perl -w
##

package Bundle::Modules::Apache;

use 5.005;

our $VERSION = 2006.0524; ## (YYYY.MMDD)

##
## Bundle::Modules::Apache
##

package main;

use strict;

use warnings;

use CPANPLUS::Backend;

use Bundle::Modules::Test::Reporter;

my $plus = CPANPLUS::Backend->new( 'conf' => { 'no_update'  => 1,
                                                 'allow_build_interactivity' => 0,
                                                 'cpantest' => 0,
                                                 'verbose' => 1,
                                               } );

my $conf = $plus->configure_object();

$conf->set_conf( 'force' => 0 );

$conf->set_conf( 'timeout' => 1 );

if ( defined( $ENV{'TEST_POD'} ) && ( $ENV{'TEST_POD'} == 1 ) )
{

}
else
{
   $plus->reload_indices( 'update_source' => 1, 'verbose' => 1 );

} ## end if

my $reporter = Bundle::Modules::Test::Reporter->new(
   'grade' => 'unstable',
   'distribution' => 'TBD',
   'from' => '<ermeyers@adelphia.net> (Bundle::Modules::Apache)',
   'comments' => 'Generated by Bundle::Modules::Apache.',
   'via' => 'Bundle::Modules::Apache 2006.0524'

   );

my @module = ();



push( @module, 'Apache::AxKit::Language::SAXMachines' );
push( @module, 'Apache::MP3::L10N::ms' );
push( @module, 'Apache::AuthenRadius' );
push( @module, 'Apache::Backend::POE::Connection' );
push( @module, 'Apache::TestSSLCA' );
push( @module, 'Apache::GzipChain' );
push( @module, 'Apache::DAV::Error' );
push( @module, 'Apache::HTTunnel::Handler' );
push( @module, 'Apache::Emulator::Apache' );
push( @module, 'Apache::Wombat::Connector' );
push( @module, 'Apache::SiteControl' );
push( @module, 'Apache::TestMM' );
push( @module, 'Apache2::DocServer' );
push( @module, 'OpenPlugin::Param::Apache2' );
push( @module, 'Apache::Session::DB_File' );
push( @module, 'Apache::AxKit::Provider::PodSAX' );
push( @module, 'Apache::AxKit::Language::XSP' );
push( @module, 'Apache::EP' );
push( @module, 'Apache::MP3::L10N::ru' );
push( @module, 'Apache::ShowStatus' );
push( @module, 'Apache::DAV::Text' );
push( @module, 'Apache::SecSess::Wrapper' );
push( @module, 'Apache::ModuleConfig' );
push( @module, 'Apache2::Build' );
push( @module, 'Apache::Session::Memcached' );
push( @module, 'Apache::App::Mercury::Display' );
push( @module, 'CPANXR::Apache::Stats' );
push( @module, 'OpenInteract::Cookies::Apache' );
push( @module, 'Apache::AxKit::Provider::File::Syntax' );
push( @module, 'Apache::Wyrd::Services::SearchParser' );
push( @module, 'Apache::TestMB' );
push( @module, 'Apache::AxKit::Language::PassiveTeX' );
push( @module, 'Apache::Stage' );
push( @module, 'Apache::ASP::CollectionItem' );
push( @module, 'Apache::Emulator::Apache::Table' );
push( @module, 'Apache::XPP::Cache::Store' );
push( @module, 'Apache::Voodoo::Zombie' );
push( @module, 'SQCAS::Apache::Authentication' );
push( @module, 'Apache::Usertrack' );
push( @module, 'OpenFrame::Segment::Apache::NoImages' );
push( @module, 'PurpleWiki::Apache2Handler' );
push( @module, 'Apache::ConfigParser::Directive' );
push( @module, 'Apache::Module' );
push( @module, 'Apache::AxKit::Language::XSP::ObjectTaglib' );
push( @module, 'Apache::CacheContent' );
push( @module, 'Data::Phrasebook::Loader::ApacheFormat' );
push( @module, 'Apache::PAR::RegistryCooker' );
push( @module, 'Apache::AuthCookie::Util' );
push( @module, 'Apache::TestHandler' );
push( @module, 'Apache::AxKit::StyleChooser::UserAgent' );
push( @module, 'Apache::DBI' );
push( @module, 'Wizard::Examples::Apache::Directory' );
push( @module, 'Apache::Mason' );
push( @module, 'Apache::Session::Store::CacheAny' );
push( @module, 'Apache::AuthLDAP' );
push( @module, 'Apache::AuthCookie' );
push( @module, 'Apache::MP3::L10N::nb' );
push( @module, 'OpenPlugin::Param::Apache' );
push( @module, 'Messaging::Courier::ApacheGateway' );
push( @module, 'Apache::SOAP' );
push( @module, 'Apache::MP3::L10N::sk' );
push( @module, 'Apache::SWIT::Maker::FileWriterData' );
push( @module, 'Apache::SAPSOAP' );
push( @module, 'Apache::ChildExit' );
push( @module, 'Apache::TestClient' );
push( @module, 'Apache::AuthzDigest' );
push( @module, 'Apache::AxKit::Provider::File::Formatter' );
push( @module, 'Apache::RPC::Status' );
push( @module, 'Apache::Session::Serialize::Base64' );
push( @module, 'Apache::VimColor' );
push( @module, 'Apache::Keywords' );
push( @module, 'Apache::AuthenNISPlus' );
push( @module, 'Apache::ReverseProxy' );
push( @module, 'Apache::Gestinanna' );
push( @module, 'Apache::UploadSvr' );
push( @module, 'Apache::SubProcess' );
push( @module, 'Apache::SWIT::Maker::Conversions' );
push( @module, 'Apache2::RequestUtil' );
push( @module, 'Pangloss::Apache::Handler' );
push( @module, 'Apache::Wyrd::CSSGene' );
push( @module, 'Apache::AuthenSecurID' );
push( @module, 'Apache::SecSess' );
push( @module, 'Apache::Session::Store::Memorycached' );
push( @module, 'Apache::RSS::Encoding::JcodeUTF8' );
push( @module, 'Apache::Mysql' );
push( @module, 'Apache::Icon' );
push( @module, 'Apache::DProf' );
push( @module, 'Apache::AuthenProgram' );
push( @module, 'Apache::LangPrefCookie' );
push( @module, 'Config::ApacheExtended' );
push( @module, 'Apache::Session::Store::MySQL' );
push( @module, 'Apache::Session::NullLocker' );
push( @module, 'Apache::Session::Store::Sybase' );
push( @module, 'Apache::AntiSpam' );
push( @module, 'Catalyst::Engine::Apache2::MP19' );
push( @module, 'Apache::DebugLog::Config' );
push( @module, 'Apache::iNcom::UserDBAuthen' );
push( @module, 'Apache2::AuthenSmb' );
push( @module, 'Apache::Wyrd::Form::Template' );
push( @module, 'Apache::SharedMem' );
push( @module, 'Apache::XPP::Cache::Expiry' );
push( @module, 'Apache::Wyrd::Services::Key' );
push( @module, 'Apache::Action' );
push( @module, 'Apache::Session' );
push( @module, 'Apache::Session::Tree' );
push( @module, 'Apache::Wyrd::Var' );
push( @module, 'Apache::AxKit::Provider::RDBMS::DBCacheAdapter' );
push( @module, 'Apache::Session::Lock::MySQL' );
push( @module, 'OpenPlugin::Request::Apache' );
push( @module, 'Apache::Quota::DB_File::Lock' );
push( @module, 'Apache::OpenIndex' );
push( @module, 'Apache::Zobel' );
push( @module, 'Apache::Wyrd::Lookup' );
push( @module, 'Apache2::RequestIO' );
push( @module, 'Apache::LogRegex' );
push( @module, 'Apache::PHLogin' );
push( @module, 'Apache::Watchdog::RunAway' );
push( @module, 'Apache::Auth::User::Digest' );
push( @module, 'Apache2::ExplorerDestroyer::Level3' );
push( @module, 'Apache2::ClickPath::Decode' );
push( @module, 'Bundle::ApacheTest' );
push( @module, 'Apache::MP3::L10N::it' );
push( @module, 'Apache::XPointer::RDQL' );
push( @module, 'Apache::ErrorReport' );
push( @module, 'SQCAS::Apache::Login' );
push( @module, 'Apache::Wyrd::Number' );
push( @module, 'OpenPlugin::HttpHeader::Apache' );
push( @module, 'Apache::ProxyRewrite' );
push( @module, 'Apache::Session::Lock::File' );
push( @module, 'Apache::LogIgnore' );
push( @module, 'Apache2::Filter' );
push( @module, 'SQCAS::Apache::NewUser' );
push( @module, 'Apache::AuthCookieDBI' );
push( @module, 'Apache::AuthTkt' );
push( @module, 'Apache2::ExplorerDestroyer' );
push( @module, 'Apache::AxKit::Provider::CGI' );
push( @module, 'Apache::OWA' );
push( @module, 'Apache::Wyrd::Lattice' );
push( @module, 'Apache2::Connection' );
push( @module, 'OpenInteract::ApacheStartup' );
push( @module, 'Apache::AuthCookieLDAP' );
push( @module, 'Apache2::Upload' );
push( @module, 'Apache::Cookie::Encrypted' );
push( @module, 'Apache::DBILogin' );
push( @module, 'Apache2::AuthenNTLM' );
push( @module, 'ExBase::ApacheHandler' );
push( @module, 'CGI::Lite::Request::Apache' );
push( @module, 'Apache::Session::SQLite3' );
push( @module, 'Apache::Layer' );
push( @module, 'Apache::PAR::Static' );
push( @module, 'Apache::MP3::L10N::x_marklar' );
push( @module, 'Apache::TestConfig' );
push( @module, 'Apache::AxKit::Language::LibXSLTEnhanced' );
push( @module, 'Apache::AxKit::StyleChooser::PathInfo' );
push( @module, 'Apache::Htpasswd::Perishable' );
push( @module, 'Apache::Array' );
push( @module, 'Apache::TestUtil' );
push( @module, 'Apache::Action::DesignDB::Feedback' );
push( @module, 'Apache::Wyrd::Chart' );
push( @module, 'Apache::mod_pml' );
push( @module, 'Apache::TestSmoke' );
push( @module, 'HTTPD::Bench::ApacheBench' );
push( @module, 'Apache::Wyrd::LogDump' );
push( @module, 'Apache2::MPM' );
push( @module, 'Apache::Voodoo::Table' );
push( @module, 'Apache::Voodoo::Loader::Dynamic' );
push( @module, 'Apache::AddHostPath' );
push( @module, 'Apache::Sybase::CTlib2' );
push( @module, 'Apache::Session::Serialize::PHP' );
push( @module, 'Apache::Throttle::Log' );
push( @module, 'DBI::ProfileDumper::Apache' );
push( @module, 'Apache::MP3::L10N::ko' );
push( @module, 'Apache::HeavyCGI::IfModified' );
push( @module, 'Apache::Wyrd::Services::TicketPad' );
push( @module, 'Apache::Singleton::Process' );
push( @module, 'Apache::Description' );
push( @module, 'Apache::TopicMaps::text::html::topic' );
push( @module, 'Apache::PerlRun' );
push( @module, 'Apache::JAF::Session' );
push( @module, 'Apache::iNcom::SessionLocker' );
push( @module, 'Apache::PrettyPerl' );
push( @module, 'Apache::PAR::PerlRun' );
push( @module, 'Apache::SetWWWTheme' );
push( @module, 'Apache::MagicPOST' );
push( @module, 'Wizard::Examples::Apache::VirtualServer' );
push( @module, 'Apache2::Command' );
push( @module, 'Apache::ASP::Application' );
push( @module, 'Apache::Backend::POE::Message' );
push( @module, 'Apache2::SiteControl::Radius' );
push( @module, 'Apache2::Cookie' );
push( @module, 'Apache::Dynagzip' );
push( @module, 'Apache::Auth::UserDB::File::Digest' );
push( @module, 'Apache2::ExplorerDestroyer::Level2' );
push( @module, 'Apache::App::Mercury::Message::Attachment' );
push( @module, 'Apache::ASP::ApacheCommon' );
push( @module, 'Apache::iNcom::OrderManager' );
push( @module, 'Apache::SWIT::Maker::GeneratorsQueue' );
push( @module, 'Apache::Peek' );
push( @module, 'Apache::Test5005compat' );
push( @module, 'Bundle::Apache::ASP::Extra' );
push( @module, 'Apache::Wyrd' );
push( @module, 'Apache::SSI' );
push( @module, 'Acme::Apache::Werewolf' );
push( @module, 'Apache::LogFile' );
push( @module, 'Apache::Wyrd::Lattice::Grid' );
push( @module, 'Apache::Wyrd::User' );
push( @module, 'Apache2::CPAN::SOAP' );
push( @module, 'Apache::CVS::HTML' );
push( @module, 'Apache::AxKit::CharsetConv' );
push( @module, 'Apache::XPP::Cache::Expiry::Duration' );
push( @module, 'Apache::Toe' );
push( @module, 'Apache::AxKit::StyleChooser::Hostname' );
push( @module, 'Apache::TestRun' );
push( @module, 'Apache2::SiteControl::ManagerFactory' );
push( @module, 'Apache::AntiSpam::SpamTrap' );
push( @module, 'Apache::iNcom::Localizer' );
push( @module, 'Apache::DnsZone::DB::Oracle' );
push( @module, 'Apache::Wyrd::Services::Tree' );
push( @module, 'Apache::RequestNotes' );
push( @module, 'Apache2::Protocol::ESMTP' );
push( @module, 'Apache::AuthDigest::API::Multi' );
push( @module, 'Apache::Application::Plus' );
push( @module, 'Apache::TestHarness' );
push( @module, 'Apache2::PPI::HTML' );
push( @module, 'Apache::MP3::L10N::no_no' );
push( @module, 'Slauth::Config::Apache' );
push( @module, 'Apache::DnsZone::AuthCookie' );
push( @module, 'Apache::HTPL::Lib' );
push( @module, 'Apache::ASP::Load' );
push( @module, 'Apache::TempFile' );
push( @module, 'Apache::iNcom::Session' );
push( @module, 'Apache::Mailtrack' );
push( @module, 'Apache::ProxyScan' );
push( @module, 'Apache2::URI' );
push( @module, 'Apache::Session::Store::DBI' );
push( @module, 'Apache::RSS::Encoding' );
push( @module, 'Apache::AxKit::Provider::Filter' );
push( @module, 'Apache::AxKit::Plugin::Session' );
push( @module, 'Apache::JAF' );
push( @module, 'CPANXR::Apache::Util' );
push( @module, 'Apache::Voodoo::Valid_URL' );
push( @module, 'Apache::Scriptor::Simple' );
push( @module, 'Apache::FakeSSI' );
push( @module, 'Apache::DAV::PropCtx' );
push( @module, 'Apache::Sandwich' );
push( @module, 'Apache2::LogF' );
push( @module, 'Apache::AxKit::Provider::RDBMS::ContentProvider::SQL' );
push( @module, 'Apache::Geo::Mirror' );
push( @module, 'Apache::Wyrd::Query' );
push( @module, 'Apache::Pod::HTML' );
push( @module, 'Apache::DBI::Cache::ImaDBI' );
push( @module, 'Apache::DAV::XMLElem' );
push( @module, 'Apache::MP3::L10N::fr' );
push( @module, 'Apache::AxKit::Language' );
push( @module, 'Apache::Session::Serialize::Sybase' );
push( @module, 'Apache::DebugInfo' );
push( @module, 'Apache::Wyrd::Services::FileCache' );
push( @module, 'Apache::WeSQL::Session' );
push( @module, 'Apache::Gallery' );
push( @module, 'Apache::RegistryLexInfo' );
push( @module, 'Apache2::POST200' );
push( @module, 'Apache::iTunes' );
push( @module, 'Apache2::Access' );
push( @module, 'Apache::Traffic' );
push( @module, 'Apache::Wyrd::Input::Complex' );
push( @module, 'OpenFrame::Segment::Apache2::NoImages' );
push( @module, 'Apache::SessionX::Store::File' );
push( @module, 'Apache2::AuthCookie' );
push( @module, 'Apache2::Geo::IP::Record' );
push( @module, 'Apache::DAV::HooksLiveprop' );
push( @module, 'Apache::ACEProxy' );
push( @module, 'Apache::Access::Headers' );
push( @module, 'Bundle::Modules::Apache' );
push( @module, 'Apache::TestRunParrot' );
push( @module, 'Apache::SWIT::Subsystem::Generator' );
push( @module, 'Apache2::ShowStatus' );
push( @module, 'Apache::SecSess::Cookie::BasicAuth' );
push( @module, 'Apache::DumpHeaders' );
push( @module, 'Apache::AxKit::LibXMLSupport' );
push( @module, 'Apache::SiteControl::PermissionManager' );
push( @module, 'Apache::Session::Generate::MD5' );
push( @module, 'Apache::AuthDigest::API::Full' );
push( @module, 'Apache::TestCharset' );
push( @module, 'Apache::PageKit' );
push( @module, 'Apache::Wyrd::Debug' );
push( @module, 'Apache::SWIT::Test::Request' );
push( @module, 'Apache2::SubRequest' );
push( @module, 'Apache::Session::Memorycached' );
push( @module, 'Apache::TestSmokePerl' );
push( @module, 'Apache::SWIT::Test::Mechanize' );
push( @module, 'SOAP::Transport::ActiveWorks::HTTP::Apache' );
push( @module, 'Apache::AuthChecker' );
push( @module, 'Apache::Wyrd::Form' );
push( @module, 'Apache::AuthPOP3' );
push( @module, 'Apache::Session::FileStore' );
push( @module, 'Apache::XPointer::RDQL::RDFStore' );
push( @module, 'Apache::AliasList' );
push( @module, 'Apache::Request::Controller' );
push( @module, 'Apache::RPC::Server' );
push( @module, 'Apache::AddReqHeader' );
push( @module, 'Apache2::Protocol' );
push( @module, 'Apache::CIPP' );
push( @module, 'Apache::DnsZone::DB' );
push( @module, 'Apache::PrettyText' );
push( @module, 'Apache::Wyrd::Lattice::Footer' );
push( @module, 'Apache::Options' );
push( @module, 'Apache::AuthenN2' );
push( @module, 'Apache::GD::Thumbnail' );
push( @module, 'Apache::AxKit::Language::HtmlDoc' );
push( @module, 'Apache::Precompress' );
push( @module, 'Apache::ASP::CGI::Test' );
push( @module, 'Apache::AuthenSecurID::Auth' );
push( @module, 'LiveGeez::Apache' );
push( @module, 'MasonX::Request::Apache2Handler' );
push( @module, 'Apache::PassExec' );
push( @module, 'Apache::App::Mercury::UserManager::Demo' );
push( @module, 'Apache::TopicMaps' );
push( @module, 'Apache::CVS::File' );
push( @module, 'Apache::RegistryLoader' );
push( @module, 'Apache2::SiteControl::UserFactory' );
push( @module, 'Apache::MultiAuth' );
push( @module, 'Apache::Session::Daemon' );
push( @module, 'Apache::DnsZone::Config' );
push( @module, 'Apache2::compat' );
push( @module, 'Apache::Wombat' );
push( @module, 'RunApp::Template::Apache' );
push( @module, 'Apache::AuthzNetLDAP' );
push( @module, 'Apache2::AuthenMSAD' );
push( @module, 'Apache2::RequestRec' );
push( @module, 'Apache::Wyrd::Input::Opt' );
push( @module, 'Apache::DAV::XMLDoc' );
push( @module, 'Apache::CVS::Diff' );
push( @module, 'Apache::Session::SharedMem' );
push( @module, 'Apache::Archive' );
push( @module, 'Apache::ShowRequest' );
push( @module, 'Apache::Blog' );
push( @module, 'Apache::Language::SW' );
push( @module, 'Apache::AutoLogin' );
push( @module, 'Apache::MP3::L10N::no' );
push( @module, 'Apache::iNcom::CartManager' );
push( @module, 'Apache::FakeCookie' );
push( @module, 'Apache::AuthenURL' );
push( @module, 'ePortal::Apache' );
push( @module, 'Apache::AxKit::Plugin::AddXSLParams::Request' );
push( @module, 'Apache::SecSess::Cookie::X509' );
push( @module, 'Apache::ASP::Collection' );
push( @module, 'Apache::MP3::Skin' );
push( @module, 'Apache::SWIT::Test' );
push( @module, 'Apache::XMLRPC::Lite' );
push( @module, 'Apache::ErrorControl' );
push( @module, 'Apache::MP3::L10N::uk' );
push( @module, 'Apache::CustomKeywords' );
push( @module, 'Apache::DAV::LockTokenList' );
push( @module, 'Apache::CGI::Builder' );
push( @module, 'Apache2::Directive' );
push( @module, 'OpenPlugin::Cookie::Apache2' );
push( @module, 'Apache::LoadAvgLimit::GetAvg' );
push( @module, 'Catalyst::Engine::Apache::MP19::Base' );
push( @module, 'Apache::XPointer' );
push( @module, 'Apache::Wyrd::Request' );
push( @module, 'Apache::Wyrd::Lib' );
push( @module, 'SQCAS::Apache::EditAccount' );
push( @module, 'Apache::DAV::Datum' );
push( @module, 'Apache::DAV::HooksLocks' );
push( @module, 'Apache::EnvDir' );
push( @module, 'CPANXR::Apache::File' );
push( @module, 'Apache::Session::Win32' );
push( @module, 'HTML::Mason::FakeApache' );
push( @module, 'Apache::XPointer::XPath' );
push( @module, 'Apache::Session::Embperl' );
push( @module, 'Apache::Wyrd::CGISetter' );
push( @module, 'Apache::SiteControl::User' );
push( @module, 'Apache::ProxyPassThru' );
push( @module, 'Apache::TestRequest' );
push( @module, 'Apache::DAV::DynProvider' );
push( @module, 'Apache2::DebugLog' );
push( @module, 'Apache::AxKit::Plugin::BasicSession' );
push( @module, 'Apache::AppCluster::Client' );
push( @module, 'Apache::Registry' );
push( @module, 'Catalyst::Engine::Apache2' );
push( @module, 'Apache::Session::Lock::Sybase' );
push( @module, 'Apache::AxKit::Provider::FileWrite' );
push( @module, 'Apache::AuthzCache' );
push( @module, 'Apache2::AuthenDBMCache' );
push( @module, 'Apache::AxKit::Language::AxPoint' );
push( @module, 'Bundle::ABH::Apache' );
push( @module, 'Apache::FileManager' );
push( @module, 'Apache::AxKit::Plugin::AddXSLParams::BasicSession' );
push( @module, 'Apache::Wyrd::Interfaces::Stealth' );
push( @module, 'Apache::ProxyConf' );
push( @module, 'Apache::TestTrace' );
push( @module, 'Apache::PageKit::Param' );
push( @module, 'Apache::DAV::Resource' );
push( @module, 'Apache2::AuthColloquy' );
push( @module, 'Apache2::DebugFilter' );
push( @module, 'Apache2::FilterRec' );
push( @module, 'Apache::Singleton' );
push( @module, 'Apache::Auth::UserDB::File::Basic' );
push( @module, 'Apache::Filter::HanConvert' );
push( @module, 'Apache2::CmdParms' );
push( @module, 'Apache::FormatLog::Common' );
push( @module, 'Apache::XPP::Inline' );
push( @module, 'Apache2::ServerUtil' );
push( @module, 'Apache::DAV::Response' );
push( @module, 'Apache::Session::Serialize::YAML' );
push( @module, 'Apache::Geo::IP' );
push( @module, 'Apache::SWIT::Maker::Generator' );
push( @module, 'Apache::AuthenCache' );
push( @module, 'Apache::FormatLog' );
push( @module, 'Apache::WeSQL::Journalled' );
push( @module, 'Apache::Session::Lazy' );
push( @module, 'Apache::UploadSvr::Dictionary' );
push( @module, 'Apache::Wyrd::FileSize' );
push( @module, 'Apache::SmallProf' );
push( @module, 'Apache::UploadSvr::Directory' );
push( @module, 'Apache::Session::Oracle' );
push( @module, 'Apache::PhotoIndex' );
push( @module, 'Apache::ACEProxy::SJIS_RACE' );
push( @module, 'Apache::AuthDigest' );
push( @module, 'Apache2::ClickPath::Store' );
push( @module, 'HTML::Mason::ApacheHandler2' );
push( @module, 'Apache::Voodoo::Theme' );
push( @module, 'Apache::Template' );
push( @module, 'Apache::httpd_conf' );
push( @module, 'Apache::PSP' );
push( @module, 'SML::Apache' );
push( @module, 'Apache::DAV::LockupResult' );
push( @module, 'Apache::MONITOR' );
push( @module, 'Apache::MP3::L10N::nl_be' );
push( @module, 'Mail::Toaster::Apache' );
push( @module, 'Apache::Session::Store::Memcached' );
push( @module, 'Apache::Session::Store::Informix' );
push( @module, 'Apache::TestConfigParrot' );
push( @module, 'Apache::AxKit::MediaChooser::WAPCheck' );
push( @module, 'Apache::TestTieBucketBrigade' );
push( @module, 'Apache2::PerlSections::Dump' );
push( @module, 'Apache::Session::Store::DB_File' );
push( @module, 'Apache::AuthDigest::API::Session' );
push( @module, 'Apache::Voodoo::ServerConfig' );
push( @module, 'Bundle::Apache::ASP' );
push( @module, 'Apache::Request::PageKit' );
push( @module, 'Apache::SWIT::Test::Apache' );
push( @module, 'Apache::AxKit::Provider::RDBMS::ContentProvider' );
push( @module, 'Apache::AxKit::Cache' );
push( @module, 'Apache::Session::Wrapper' );
push( @module, 'Apache::Session::SysVSemaphoreLocker' );
push( @module, 'Apache::Log' );
push( @module, 'Catalyst::Engine::Apache::MP19::Apreq' );
push( @module, 'Apache::StatINC' );
push( @module, 'Apache::AuthenPasswdSrv' );
push( @module, 'Apache::Voodoo::Pager' );
push( @module, 'Apache2::Response' );
push( @module, 'Apache::PassHtml' );
push( @module, 'Apache2::CPAN::Search' );
push( @module, 'Apache::CVS::PlainFile' );
push( @module, 'Apache::AuthzPasswd' );
push( @module, 'Apache::Throttle' );
push( @module, 'Apache::DnsZone::DB::Postgresql' );
push( @module, 'Apache::MP3::L10N' );
push( @module, 'Apache::TopicMaps::application::xtmPLUSxml::topic' );
push( @module, 'Apache::ASP::GlobalASA' );
push( @module, 'Apache::WeSQL::Display' );
push( @module, 'Apache2::HookRun' );
push( @module, 'Bundle::Apache::Wombat' );
push( @module, 'Apache::SmartProxy' );
push( @module, 'Apache2::ModSSL' );
push( @module, 'Text::MicroMason::ApacheHandler' );
push( @module, 'Apache::SWIT::Session' );
push( @module, 'Apache::SiteControl::Rule' );
push( @module, 'Apache::AwSOAP' );
push( @module, 'Apache::Voodoo::Loader' );
push( @module, 'Apache::DebugLog' );
push( @module, 'Config::ApacheExtended::Grammar' );
push( @module, 'Apache::PageKit::Model' );
push( @module, 'Apache::Action::State' );
push( @module, 'Apache::AxKit::Provider' );
push( @module, 'Apache2::JSONRPC' );
push( @module, 'Apache::ASP::Date' );
push( @module, 'Apache::Session::Store::Oracle' );
push( @module, 'Apache::AxKit::Provider::OpenOffice' );
push( @module, 'Apache::Voodoo::Debug' );
push( @module, 'Apache::Framework::App' );
push( @module, 'Apache::JAF::Util' );
push( @module, 'Apache::Auth::User::Basic' );
push( @module, 'Apache::MP3::Playlist' );
push( @module, 'Apache::SMTP::Server' );
push( @module, 'Apache::DnsZone::Language' );
push( @module, 'Apache::AuthenSmb' );
push( @module, 'Apache::Session::Lock::Memorycached' );
push( @module, 'Apache::AxKit::Plugin::Upload' );
push( @module, 'Apache::WebSNMP' );
push( @module, 'Apache::Util' );
push( @module, 'Apache::Syntax::Highlight::Perl' );
push( @module, 'Apache::Language::PlainFile' );
push( @module, 'Bundle::Modules::Apache::Unstable' );
push( @module, 'Apache::PassFile' );
push( @module, 'Apache::Request::Redirect' );
push( @module, 'Apache::Clickable' );
push( @module, 'Apache::FormatLog::Combined' );
push( @module, 'Apache::Lint' );
push( @module, 'Apache::MP3::L10N::ar' );
push( @module, 'Apache::AxKit::StyleChooser::QueryString' );
push( @module, 'Apache::VMonitor' );
push( @module, 'Apache::RandomLocation' );
push( @module, 'Apache::MP3::L10N::sh' );
push( @module, 'Apache::XAO' );
push( @module, 'Apache2::UploadProgress' );
push( @module, 'Apache::AuthCookiePAM' );
push( @module, 'Apache::Wyrd::Template' );
push( @module, 'Apache::LoggedAuthDBI' );
push( @module, 'Apache::SessionX' );
push( @module, 'Apache::libapreq' );
push( @module, 'Apache::AxKit::Provider::DOM' );
push( @module, 'Apache::testold' );
push( @module, 'Apache::App::Mercury::Message::DBI' );
push( @module, 'Apache::URI2param' );
push( @module, 'Apache::Voodoo::DisplayError' );
push( @module, 'Authen::Simple::Apache' );
push( @module, 'Apache::AuthCookieURL' );
push( @module, 'Apache::WAP::AutoIndex' );
push( @module, 'OpenFrame::Server::Apache' );
push( @module, 'Apache::Server' );
push( @module, 'Apache::Constants::Exports' );
push( @module, 'Apache::PAR::Registry' );
push( @module, 'Catalyst::Engine::Apache2::MP20' );
push( @module, 'Apache::test' );
push( @module, 'Apache::MP3::L10N::fa' );
push( @module, 'Apache::MP3::L10N::cs' );
push( @module, 'Apache::RedirectLogFix' );
push( @module, 'Apache::SecSess::Cookie::URL' );
push( @module, 'Apache::AxKit::Plugin::OpenOffice' );
push( @module, 'Apache::Session::SQLite' );
push( @module, 'Apache2::AUS::RequestRec' );
push( @module, 'Apache::AutoIndex' );
push( @module, 'Apache::Session::Serialize::Storable' );
push( @module, 'Apache::Voodoo::Loader::Static' );
push( @module, 'Apache::ASP::Server' );
push( @module, 'Apache::ScoreboardGraph' );
push( @module, 'Apache::UploadMeter' );
push( @module, 'Apache::Compress' );
push( @module, 'Apache::MP3::L10N::nl_nl' );
push( @module, 'Apache::HeavyCGI::Layout' );
push( @module, 'Apache::MP3::L10N::ja' );
push( @module, 'Apache::TinyCP' );
push( @module, 'Apache::MP3::L10N::Aliases' );
push( @module, 'Apache::PAR' );
push( @module, 'Apache2::AuthNetLDAP' );
push( @module, 'Apache::AxKit::Plugin::Fragment' );
push( @module, 'Apache::AuthKrb5Afs' );
push( @module, 'MasonX::Request::WithApacheSession2' );
push( @module, 'Apache::Scoreboard' );
push( @module, 'Wizard::Examples::Apache' );
push( @module, 'Apache::Roaming' );
push( @module, 'Apache::Session::Store::File' );
push( @module, 'Apache::CVS::RcsConfig' );
push( @module, 'SOAP::Apache' );
push( @module, 'Apache2::ModBT::LeechNuker' );
push( @module, 'Apache::MP3::L10N::en' );
push( @module, 'Apache::WAP::MailPeek' );
push( @module, 'Apache::DAV::DynModule' );
push( @module, 'Apache::LangURI' );
push( @module, 'Apache::ASP::CGI::Table' );
push( @module, 'Apache::NNTPGateway' );
push( @module, 'Apache::XBEL' );
push( @module, 'Apache::SWIT' );
push( @module, 'Apache::TestReportPerl' );
push( @module, 'Apache::Session::DBI' );
push( @module, 'Apache::AxKit::Plugin::Param::Expr' );
push( @module, 'Apache::WeSQL' );
push( @module, 'Apache::SpellingProxy' );
push( @module, 'Apache::Emulator::Constants' );
push( @module, 'Apache::TestHarnessPHP' );
push( @module, 'Apache2::Translation' );
push( @module, 'Apache::SecSess::Cookie::X509PIN' );
push( @module, 'Catalyst::Engine::Apache::MP20::Apreq' );
push( @module, 'Apache::ASP::CGI' );
push( @module, 'Apache2::SiteControl::GrantAllRule' );
push( @module, 'Apache2::Translation::DB' );
push( @module, 'Apache::AuthDBI' );
push( @module, 'Apache::Wyrd::Services::LoginServer' );
push( @module, 'Apache::AxKit::Language::Svg2AnyFormat' );
push( @module, 'Apache2::Geo::Mirror' );
push( @module, 'Apache::DBILogger' );
push( @module, 'Apache::SecSess::Cookie::LoginForm' );
push( @module, 'Apache::OneTimeURL' );
push( @module, 'Apache::RandomImage' );
push( @module, 'Apache::AntiSpam::NoSpam' );
push( @module, 'HTTP::WebTest::Plugin::Apache' );
push( @module, 'Apache::Wyrd::Services::SAK' );
push( @module, 'Apache::Session::Lock::Semaphore' );
push( @module, 'Apache::Wombat::Logger' );
push( @module, 'Apache::PerlSections' );
push( @module, 'Apache::ACEProxy::UTF8_RACE' );
push( @module, 'Apache::HeavyCGI::SquidRemoteAddr' );
push( @module, 'Apache::TestSort' );
push( @module, 'XML::MetaGenerator::Formula::Collector::Apache' );
push( @module, 'Apache2::Log' );
push( @module, 'Apache::AuthNetLDAP' );
push( @module, 'Apache::Wyrd::Input::Set' );
push( @module, 'Apache::Wyrd::Interfaces::GetUser' );
push( @module, 'CGI::Application::Plugin::Apache' );
push( @module, 'Apache::Album' );
push( @module, 'CIPP::Apache' );
push( @module, 'Apache::Wyrd::DBL' );
push( @module, 'Apache::MP3::L10N::RightToLeft' );
push( @module, 'OpenFrame::Segment::Apache::Response' );
push( @module, 'Apache::App::Mercury::SMTP_Message' );
push( @module, 'Apache::WeSQL::SqlFunc' );
push( @module, 'Apache::Session::DaemonLocker' );
push( @module, 'Apache::DAV::Lock' );
push( @module, 'Apache::AuthenNIS' );
push( @module, 'Apache::MP3::Sorted' );
push( @module, 'Apache::Wyrd::Datum' );
push( @module, 'Apache::No404Proxy' );
push( @module, 'CPANXR::Apache::Distribution' );
push( @module, 'Apache::Session::Manager' );
push( @module, 'Apache::Gateway' );
push( @module, 'Apache::HeavyCGI::ExePlan' );
push( @module, 'Apache::Session::Generate::ModUniqueId' );
push( @module, 'Apache::Session::Generate::AutoIncrement' );
push( @module, 'Apache2::SizeLimit' );
push( @module, 'Apache::Wyrd::SQLForm' );
push( @module, 'Apache::SecSess::URL::Cookie' );
push( @module, 'Apache::Logmonster::Utility' );
push( @module, 'Apache::SiteControl::Radius' );
push( @module, 'Apache::Auth::User' );
push( @module, 'Apache::Session::Generate::ModUsertrack' );
push( @module, 'Apache::AxKit::Language::Query' );
push( @module, 'Sledge::Request::Apache::I18N::Upload' );
push( @module, 'Apache::DnsZone' );
push( @module, 'Apache::AxKit::Language::YPathScript' );
push( @module, 'Log::Dispatch::ApacheLog' );
push( @module, 'Apache::Language::Constants' );
push( @module, 'Apache::CompressClientFixup' );
push( @module, 'Apache::App::Mercury::Message' );
push( @module, 'Catalyst::Engine::Apache' );
push( @module, 'Apache2::SiteControl::PermissionManager' );
push( @module, 'Siesta::Web::FakeApache' );
push( @module, 'Apache2::SOAP' );
push( @module, 'CPANXR::Apache' );
push( @module, 'Apache::XPP::Cache::Store::File' );
push( @module, 'OpenFrame::Segment::Apache' );
push( @module, 'Apache2::porting' );
push( @module, 'Apache::AxKit::Plugin::QueryStringCacheRegexp' );
push( @module, 'Apache::Mmap' );
push( @module, 'Apache2::ClickPath::_parse' );
push( @module, 'Apache::AntiSpam::Heuristic' );
push( @module, 'CPANXR::Apache::Search' );
push( @module, 'Apache::ProxyPass' );
push( @module, 'Apache::GopherHandler::TiedSocket' );
push( @module, 'Apache::Bwlog' );
push( @module, 'HTML::Mason::Resolver::File::ApacheHandler2' );
push( @module, 'Apache2::JemplateFilter' );
push( @module, 'Apache::PAR::ScriptBase' );
push( @module, 'Devel::Profiler::Apache' );
push( @module, 'Apache::Wyrd::Interfaces::SmartInput' );
push( @module, 'Apache::AxKit::Language::XMLNewsRDF' );
push( @module, 'Apache::Session::PHP' );
push( @module, 'Apache::AuthDigest::API' );
push( @module, 'Apache2::SourceTables' );
push( @module, 'Apache::Wyrd::Interfaces::Mother' );
push( @module, 'Apache::ForwardedFor' );
push( @module, 'Apache::FakeTable' );
push( @module, 'Apache::Template::Provider::Gestinanna' );
push( @module, 'Apache2::Reload' );
push( @module, 'Apache::DAV::DynHooks' );
push( @module, 'MyApache::Apache2Handler' );
push( @module, 'Apache::AuthPerLDAP' );
push( @module, 'CPANXR::Apache::SubBrowser' );
push( @module, 'PurpleWiki::Apache1Handler' );
push( @module, 'Apache::Embperl' );
push( @module, 'Apache::Htpasswd' );
push( @module, 'Apache::Session::Lock::Null' );
push( @module, 'Apache::Cookie' );
push( @module, 'Apache::AuthTicket' );
push( @module, 'Apache::CodeRed' );
push( @module, 'Apache2::PerlSections' );
push( @module, 'Apache::SAPSOAPServer' );
push( @module, 'Apache::AuthPAM' );
push( @module, 'Apache::TopicMaps::text::html::search' );
push( @module, 'Apache::Earlybird' );
push( @module, 'Apache::TestConfigC' );
push( @module, 'SOAP::Transport::HTTP::Apache' );
push( @module, 'Catalyst::Engine::Apache::MP13' );
push( @module, 'Data::ObjectDriver::Driver::Cache::Apache' );
push( @module, 'Apache::SWIT::DB::Connection' );
push( @module, 'Apache::SimpleTemplate' );
push( @module, 'Bundle::Apache::Roaming' );
push( @module, 'Apache::AxKit::Plugin::SvgCgiSerialize' );
push( @module, 'Apache::Status' );
push( @module, 'Apache::Wyrd::Services::CodeRing' );
push( @module, 'Apache::SessionX::Generate::MD5' );
push( @module, 'Apache::PageKit::Edit' );
push( @module, 'Apache::Session::DBIBase64Store' );
push( @module, 'Apache::SSIChain' );
push( @module, 'Apache::MSIISProbes' );
push( @module, 'Apache::Access::Abuse' );
push( @module, 'MasonX::Request::HTMLTemplate::WithApacheSession' );
push( @module, 'Apache::TopicMaps::application::xtmPLUSxml::index' );
push( @module, 'Froody::Request::Apache' );
push( @module, 'Apache::HeavyCGI::Date' );
push( @module, 'Apache2::TrapSubRequest' );
push( @module, 'Apache::TopicMaps::application::xtmPLUSxml::search' );
push( @module, 'Apache::TestCommonPost' );
push( @module, 'Apache2::Request' );
push( @module, 'Apache::MP3::L10N::pl' );
push( @module, 'Apache::XPP::PreParse' );
push( @module, 'Apache::CVS::Revision' );
push( @module, 'MasonX::Request::WithApache2Session' );
push( @module, 'Apache::DAV::DynContext' );
push( @module, 'Apache::AuthenLDAP' );
push( @module, 'Apache::AxKit::Language::LibXSLT' );
push( @module, 'Wizard::Examples::Apache::Host' );
push( @module, 'Apache::Table' );
push( @module, 'Apache::ParseControl' );
push( @module, 'Apache::DummyScoreboard' );
push( @module, 'CPANXR::Apache::Header' );
push( @module, 'Apache::SWIT::Maker::GeneratorBase' );
push( @module, 'Apache::HeavyCGI::UnmaskQuery' );
push( @module, 'OpenFrame::Segment::Apache2::Request' );
push( @module, 'Apache::DAV' );
push( @module, 'Apache2::ExplorerDestroyer::Level1' );
push( @module, 'Apache2::Status' );
push( @module, 'SQCAS::Apache' );
push( @module, 'Apache::Htgroup' );
push( @module, 'CGI::Application::Plugin::Apache::Request' );
push( @module, 'Apache::DoCoMoProxy' );
push( @module, 'Apache::Reload' );
push( @module, 'Apache::TableHash' );
push( @module, 'Apache::BruteWatch' );
push( @module, 'Apache::Session::MemoryStore' );
push( @module, 'Wizard::Examples::Apache::Admin' );
push( @module, 'Apache::AxKit::Provider::RDBMS::DBCacheAdapter::SQLite' );
push( @module, 'Apache::Session::Serialize::SOAPEnvelope' );
push( @module, 'Apache::AuthenPasswd' );
push( @module, 'Apache::No404Proxy::Google' );
push( @module, 'Apache::Session::File' );
push( @module, 'Apache::Wyrd::Handler' );
push( @module, 'Logfile::Apache' );
push( @module, 'Apache2::AuthCookieDBImg' );
push( @module, 'Catalyst::Engine::Apache::MP19' );
push( @module, 'Apache::Request' );
push( @module, 'Apache::AuthenNTLM' );
push( @module, 'Apache::AuthDigestDBI' );
push( @module, 'Apache::Wyrd::Cookie' );
push( @module, 'Apache::ProxyStuff' );
push( @module, 'Apache::ImageMagick' );
push( @module, 'Apache::AuthenIMAP' );
push( @module, 'Apache::DBILogConfig' );
push( @module, 'Apache::Session::MySQL' );
push( @module, 'RDBAL::Layer::ApacheSybaseDBlib' );
push( @module, 'Apache::TestBuild' );
push( @module, 'Template::Plugin::Apache::SessionManager' );
push( @module, 'Apache' );
push( @module, 'Apache::URI' );
push( @module, 'Apache::Request::Dispatcher' );
push( @module, 'RunApp::Apache' );
push( @module, 'SQCAS::Apache::Authorization' );
push( @module, 'Apache::ASP::Session' );
push( @module, 'Wizard::Examples::Apache::Config' );
push( @module, 'RunApp::Control::ApacheCtl' );
push( @module, 'Apache::Session::SingleThread' );
push( @module, 'OpenPlugin::Request::Apache2' );
push( @module, 'Apache::iNcom::Request' );
push( @module, 'Apache::Dispatch' );
push( @module, 'Apache::Session::PosixFileLocker' );
push( @module, 'Apache::MP3::L10N::is' );
push( @module, 'Apache::DnsZone::DB::MySQL' );
push( @module, 'Apache::JavaScript::DocumentWrite' );
push( @module, 'Apache::Wyrd::Input' );
push( @module, 'Apache::Wyrd::Interfaces::Setter' );
push( @module, 'Apache::Auth::UserDB' );
push( @module, 'Apache2::SiteControl::User' );
push( @module, 'Apache2::CGI::Builder' );
push( @module, 'Apache::Profiler' );
push( @module, 'Apache::MP3::L10N::nb_no' );
push( @module, 'Apache2::Module' );
push( @module, 'Maypole::Plugin::Config::Apache' );
push( @module, 'Apache2::StructureTable' );
push( @module, 'Apache::iNcom' );
push( @module, 'Template::Service::Apache' );
push( @module, 'Apache::Session::Serialize::UUEncode' );
push( @module, 'Apache::HeavyCGI::Debug' );
push( @module, 'PurpleWiki::Apache2NidHandler' );
push( @module, 'Apache2::ClickPath' );
push( @module, 'Apache::HEADRegistry' );
push( @module, 'Apache::Wyrd::Defaults' );
push( @module, 'Apache::NavBarDD' );
push( @module, 'HTML::Mason::Resolver::File::ApacheHandler' );
push( @module, 'Apache::DAV::TextHeader' );
push( @module, 'Apache::AxKit::Language::XPathScript' );
push( @module, 'Apache::WeSQL::AppHandler' );
push( @module, 'Apache2::Filter::HTTPHeadersFixup' );
push( @module, 'Apache::Session::Postgres' );
push( @module, 'Apache::TestRunPerl' );
push( @module, 'Apache::SWIT::Maker' );
push( @module, 'Apache::Session::IPC' );
push( @module, 'Apache::Dir' );
push( @module, 'Apache::GD::Graph' );
push( @module, 'Apache::SearchEngineLog' );
push( @module, 'Apache::MP3::L10N::sl' );
push( @module, 'Apache::Roaming::LiPrefs' );
push( @module, 'Apache2::SiteControl::Rule' );
push( @module, 'Apache2::ServerRec' );
push( @module, 'Apache::PageKit::Content' );
push( @module, 'Sledge::Request::Apache::I18N' );
push( @module, 'Apache::DAV::IfHeader' );
push( @module, 'CPANXR::Apache::Symbol' );
push( @module, 'Apache::RewritingProxy' );
push( @module, 'Apache::RSS' );
push( @module, 'Apache::Cache' );
push( @module, 'Apache::Singleton::Server' );
push( @module, 'Apache::TieBucketBrigade' );
push( @module, 'Apache::MP3::L10N::es' );
push( @module, 'Apache2::SiteControl' );
push( @module, 'Apache::WeSQL::Auth' );
push( @module, 'Apache::Backhand' );
push( @module, 'Apache::Session::Informix' );
push( @module, 'Apache::DAV::StateList' );
push( @module, 'CIPP::Compile::Apache' );
push( @module, 'Apache::AxKit::Language::XMLNewsNITF' );
push( @module, 'Apache::App::Mercury::Controller' );
push( @module, 'Apache::AxKit::Language::Sablot' );
push( @module, 'Apache::Queue' );
push( @module, 'Apache::Opcode' );
push( @module, 'Apache::Wombat::Response' );
push( @module, 'Apache::AxKit::Exception' );
push( @module, 'Apache2::ParseSource' );
push( @module, 'Apache::AxKit::Plugin::QueryStringCache' );
push( @module, 'Apache::AuthCookieDBIRadius' );
push( @module, 'Apache::Mmap::Handle' );
push( @module, 'Apache::DAV::HooksRepository' );
push( @module, 'Apache::MIMEMapper' );
push( @module, 'Apache::SessionManager' );
push( @module, 'Apache::Request::I18N' );
push( @module, 'Apache::Centipaid' );
push( @module, 'Apache2::AUS' );
push( @module, 'Apache::MP3::Resample' );
push( @module, 'Apache::CVS' );
push( @module, 'Apache::AppCluster::Server' );
push( @module, 'Apache::AxKit::Util::LibXSLTAddonFunction' );
push( @module, 'Apache::HTTunnel::Keeper' );
push( @module, 'Apache::DAV::PropsResult' );
push( @module, 'Apache::Wyrd::Redirect' );
push( @module, 'Apache::AxKit::Provider::Gestinanna' );
push( @module, 'Apache::AxKit::Plugins::Session' );
push( @module, 'Apache::Proxy' );
push( @module, 'Apache::Session::DBIStore' );
push( @module, 'OpenFrame::Segment::Apache::Request' );
push( @module, 'Apache::ASP::State' );
push( @module, 'Apache::HTTunnel' );
push( @module, 'Apache::Debug' );
push( @module, 'OpenFrame::Segment::Apache2' );
push( @module, 'Apache::Wyrd::ErrTag' );
push( @module, 'APR::Request::Apache2' );
push( @module, 'Apache::App::Mercury::UserManager' );
push( @module, 'Apache::DAV::WalkerCtx' );
push( @module, 'Apache::Filter' );
push( @module, 'Apache::GTopLimit' );
push( @module, 'Apache::App::Mercury::DBI' );
push( @module, 'Apache::App::Gallery::Simple' );
push( @module, 'Apache::Session::Store::PHP' );
push( @module, 'Apache::DnsZone::Resolver' );
push( @module, 'Apache::HeavyCGI::Exception' );
push( @module, 'Apache::Imager::Resize' );
push( @module, 'OpenFrame::Example::Apache2Simple' );
push( @module, 'HTML::Mason::ApacheHandler' );
push( @module, 'XML::ApacheFOP' );
push( @module, 'Apache::Sybase::ConPool' );
push( @module, 'Apache::MP3::L10N::nl' );
push( @module, 'Apache::Session::Serialize::Dumper' );
push( @module, 'Apache::AxKit::Plugin::BasicAuth' );
push( @module, 'DynaPage::Apache2' );
push( @module, 'Apache::AuthExpire' );
push( @module, 'Apache2::SubProcess' );
push( @module, 'Apache::ePerl' );
push( @module, 'Apache::Resource' );
push( @module, 'Apache::Logmonster::Perl' );
push( @module, 'Apache2::AuthTicket' );
push( @module, 'Apache::Backend::POE' );
push( @module, 'Apache::XPointer::RDQL::Parser' );
push( @module, 'Apache::Voodoo' );
push( @module, 'Apache::Session::TreeStore' );
push( @module, 'Apache::GeoIP' );
push( @module, 'Apache::Motd' );
push( @module, 'Apache::Quota' );
push( @module, 'Apache::AxKit::Provider::RDBMS' );
push( @module, 'Apache::AxKit::Plugin::Passthru' );
push( @module, 'Apache::GopherHandler' );
push( @module, 'Apache::LoadAvgLimit' );
push( @module, 'Apache::ParseFormData' );
push( @module, 'CPANXR::Apache::ClassBrowser' );
push( @module, 'Apache::ConfigParser' );
push( @module, 'OpenPlugin::Session::ApacheSession' );
push( @module, 'Apache::App::Mercury::Base' );
push( @module, 'Apache::MP3::L10N::hr' );
push( @module, 'Apache::TimedRedirect' );
push( @module, 'Apache::Include' );
push( @module, 'Catalyst::Engine::Apache::MP13::Base' );
push( @module, 'Apache::AxKit::ConfigReader' );
push( @module, 'Apache::File' );
push( @module, 'Apache::TestRunPHP' );
push( @module, 'Apache::RegistryNG' );
push( @module, 'Apache::Wyrd::ErrField' );
push( @module, 'Apache::XMLRPC' );
push( @module, 'Apache::Perldoc' );
push( @module, 'Apache::Voodoo::ValidURL' );
push( @module, 'Apache::AxKit::StyleChooser::FileSuffix' );
push( @module, 'Apache::Session::Store::SQLite3' );
push( @module, 'Apache::Session::Counted' );
push( @module, 'Apache::App::Mercury::Config' );
push( @module, 'Apache::CVS::Graph' );
push( @module, 'Apache::SecSess::URL' );
push( @module, 'Apache::Wyrd::MySQLForm' );
push( @module, 'Apache::SWIT::HTPage' );
push( @module, 'Apache::DB' );
push( @module, 'Apache::JSONRPC' );
push( @module, 'Apache::SWIT::Subsystem::Maker' );
push( @module, 'Apache::TestCommon' );
push( @module, 'Apache2::CPAN::Query' );
push( @module, 'Apache::DAV::XMLAttr' );
push( @module, 'MasonX::Resolver::File::Apache2Handler' );
push( @module, 'Apache::CookieToQuery' );
push( @module, 'Apache::MP3::L10N::sr' );
push( @module, 'Apache::Connection' );
push( @module, 'Catalyst::Engine::Apache::MP13::Apreq' );
push( @module, 'Apache::PerlRunFilter' );
push( @module, 'MyApache::Mason::ApacheHandler2' );
push( @module, 'Apache::PerlVINC' );
push( @module, 'Apache2::TomKit::Processor::XPathScript' );
push( @module, 'Apache::MP3::L10N::tr' );
push( @module, 'Apache::PerlRunXS' );
push( @module, 'Apache::Wyrd::Lattice::Header' );
push( @module, 'Apache::JemplateFilter' );
push( @module, 'Apache::TaintRequest' );
push( @module, 'Apache::MP3::L10N::ca' );
push( @module, 'Log::Agent::Driver::Apache' );
push( @module, 'Apache::Taco' );
push( @module, 'Catalyst::Engine::Apache::MP20::Base' );
push( @module, 'Apache::TopicMaps::text::html::index' );
push( @module, 'Apache::Auth::UserDB::File' );
push( @module, 'App::Info::HTTPD::Apache' );
push( @module, 'Apache::MP3::L10N::fi' );
push( @module, 'Apache::Symdump' );
push( @module, 'Apache::Wombat::FileLogger' );
push( @module, 'CPANXR::Apache::Footer' );
push( @module, 'Apache::TableEntry' );
push( @module, 'Apache::Wyrd::Interfaces::XMLer' );
push( @module, 'Apache::Pod::Text' );
push( @module, 'Apache::Wyrd::Attribute' );
push( @module, 'Apache::ImageShoehorn' );
push( @module, 'Apache::AuthzLDAP' );
push( @module, 'MasonX::Request::WithApacheSession' );
push( @module, 'Apache::ACEProxy::RACE' );
push( @module, 'Apache2::XSLoader' );
push( @module, 'Apache2::Process' );
push( @module, 'Apache::Session::Flex' );
push( @module, 'Apache::Upload::I18N' );
push( @module, 'Apache::MP3' );
push( @module, 'Apache::AuthenURL::Cache' );
push( @module, 'Apache::DoCoMoUID' );
push( @module, 'Apache::MiniWiki' );
push( @module, 'Apache::Scriptor' );
push( @module, 'Apache::AxKit::Provider::Scalar' );
push( @module, 'Apache::AxKit::Provider::RDBMS::ContentProvider::MultiSQL' );
push( @module, 'ENH::Apache' );
push( @module, 'Bundle::Apache' );
push( @module, 'Apache::HTMLView' );
push( @module, 'Apache::SWIT::Subsystem::Base' );
push( @module, 'Apache::OneTimeDownload' );
push( @module, 'Apache::Voodoo::Handler' );
push( @module, 'Apache::App::Mercury' );
push( @module, 'Apache::XPP::Cache' );
push( @module, 'Apache::Emulator::Test' );
push( @module, 'Apache::MP3::L10N::de' );
push( @module, 'XML::ApplyXSLT::Apache' );
push( @module, 'Parse::RecDescent::Config::ApacheExtended::Grammar' );
push( @module, 'Bundle::Apache2' );
push( @module, 'Apache::RegistryFilter' );
push( @module, 'Apache::Symbol' );
push( @module, 'OpenFrame::Example::ApacheSimple' );
push( @module, 'Apache2::TieBucketBrigade' );
push( @module, 'Apache::MP3::L10N::nn' );
push( @module, 'Apache::AxKit::Language::XSP::TaglibHelper' );
push( @module, 'Apache::WinBitHack' );
push( @module, 'Apache::SiteControl::GrantAllRule' );
push( @module, 'Apache2::Util' );
push( @module, 'Apache::ContentHandler' );
push( @module, 'Apache::MP3::L10N::ga' );
push( @module, 'MasonX::Apache2Handler' );
push( @module, 'Apache::DAV::HooksDb' );
push( @module, 'Apache::LogFile::Config' );
push( @module, 'Apache::SiteControl::ManagerFactory' );
push( @module, 'Apache::AppCluster' );
push( @module, 'Apache::ASP::STDERR' );
push( @module, 'Apache::iNcom::UserDBAuthz' );
push( @module, 'Apache::ASP' );
push( @module, 'Apache::AxKit::Provider::File' );
push( @module, 'Apache::CryptHash' );
push( @module, 'Apache::Emulator' );
push( @module, 'Catalyst::Engine::Apache::MP20' );
push( @module, 'Apache::XPP' );
push( @module, 'Apache::AuthCAS' );
push( @module, 'Apache::FakeRequest' );
push( @module, 'Apache::AxKit::Language::XSP::SimpleTaglib' );
push( @module, 'Apache::AntiSpam::HTMLEncode' );
push( @module, 'Apache::MVC' );
push( @module, 'Apache::Authen::Program' );
push( @module, 'Apache::RedirectDBI' );
push( @module, 'Apache::TestCharsetModify' );
push( @module, 'Apache::Quota::BerkeleyDB' );
push( @module, 'Apache::Application::Magic' );
push( @module, 'Apache::Language::DBI' );
push( @module, 'Apache::Recorder' );
push( @module, 'App::Control::Apache' );
push( @module, 'Apache::TestReport' );
push( @module, 'Apache::DefaultCharset' );
push( @module, 'Sledge::Pages::Apache::I18N' );
push( @module, 'Apache::DBI::Cache' );
push( @module, 'Apache::ASP::Request' );
push( @module, 'Apache::SimpleReplace' );
push( @module, 'Apache::Handlers' );
push( @module, 'Apache::SMTP' );
push( @module, 'Apache2::WebStart' );
push( @module, 'Apache::Test' );
push( @module, 'HTML::Mason::Request::ApacheHandler2' );
push( @module, 'Config::ApacheFormat' );
push( @module, 'Apache::CVS::Directory' );
push( @module, 'Froody::Server::Apache' );
push( @module, 'Apache::Wyrd::ShowParams' );
push( @module, 'Apache::SizeLimit' );
push( @module, 'Apache::Singleton::Request' );
push( @module, 'Apache::MP3::L10N::he' );
push( @module, 'Apache2::ConstantsTable' );
push( @module, 'Apache::OutputChain' );
push( @module, 'Apache2::SafePnotes' );
push( @module, 'OpenPlugin::Upload::Apache2' );
push( @module, 'Apache::AuthLDAPBind' );
push( @module, 'Apache::ChefProxy' );
push( @module, 'Apache2::Geo::IP' );
push( @module, 'Apache::Session::Sybase' );
push( @module, 'Apache::PageKit::View' );
push( @module, 'Apache::AuthCookieNTLM' );
push( @module, 'OpenPlugin::Cookie::Apache' );
push( @module, 'Apache::HeavyCGI' );
push( @module, 'OpenPlugin::HttpHeader::Apache2' );
push( @module, 'Apache::SIG' );
push( @module, 'Apache::Emulator::Apache::TableHash' );
push( @module, 'Apache::SecSess::DBI' );
push( @module, 'Apache::RefererBlock' );
push( @module, 'Apache::SiteControl::UserFactory' );
push( @module, 'Apache::RegistryBB' );
push( @module, 'ApacheMagicApp' );
push( @module, 'Apache::Wyrd::Bot' );
push( @module, 'Apache2::ClickPath::StoreClient' );
push( @module, 'Apache2::GeoIP' );
push( @module, 'HTML::Mason::Request::ApacheHandler' );
push( @module, 'Apache::ASP::Lang::PerlScript' );
push( @module, 'Apache::File::Resumable' );
push( @module, 'Apache::JumpByReferer' );
push( @module, 'Apache::AntiSpam::JavaScript' );
push( @module, 'Apache2::Const' );
push( @module, 'Apache::MP3::L10N::zh_tw' );
push( @module, 'Apache::Session::Store::Postgres' );
push( @module, 'Apache::Pod' );
push( @module, 'Apache::Language' );
push( @module, 'Wizard::Examples::Apache::Server' );
push( @module, 'Apache2::Resource' );
push( @module, 'Apache::ChooseLanguage' );
push( @module, 'Apache::Sybase::CTlib' );
push( @module, 'Apache2::FunctionTable' );
push( @module, 'Apache::SecSess::Cookie' );
push( @module, 'Apache2::AuthCookieDBI' );
push( @module, 'OpenPlugin::Upload::Apache' );
push( @module, 'Apache::BioChrome' );
push( @module, 'Apache::SWIT::Maker::FileWriter' );
push( @module, 'Apache::Authen::Generic' );
push( @module, 'Apache::Wyrd::Services::Auth' );
push( @module, 'Apache::AuthzUserDir' );
push( @module, 'Apache2::AUS::Util' );
push( @module, 'Apache::MP3::L10N::zh_cn' );
push( @module, 'Apache::AuthzNIS' );
push( @module, 'Catalyst::Engine::Apache::Base' );
push( @module, 'Apache::MP3::L10N::nn_no' );
push( @module, 'Apache::ModuleDoc' );
push( @module, 'Apache::Leak' );
push( @module, 'Apache::Storage' );
push( @module, 'Apache::AxKit::Language::SpellCheck' );
push( @module, 'Apache::AuthenMT' );
push( @module, 'XML::Directory::Apache' );
push( @module, 'Apache::Geo::IP::Record' );
push( @module, 'Apache::Session::CacheAny' );
push( @module, 'Apache::Wyrd::Form::Preload' );
push( @module, 'Apache::Emulator::Apache::Constants' );
push( @module, 'Apache::SessionX::Manager' );
push( @module, 'Apache::ParseLog' );
push( @module, 'Apache::Wyrd::CGICond' );
push( @module, 'Apache::AuthTypeKey' );
push( @module, 'Apache::ASP::Response' );
push( @module, 'MKDoc::Apache_Cache' );
push( @module, 'Apache::Wombat::Request' );
push( @module, 'Apache::JAF::Cookies' );
push( @module, 'Apache2::ModBT' );
push( @module, 'Apache::LogF' );
push( @module, 'CPANXR::Apache::Visualizer' );
push( @module, 'Apache::DBI::Cache::mysql' );
push( @module, 'Apache::StickyQuery' );
push( @module, 'Apache::Wyrd::Interfaces::Indexable' );
push( @module, 'Apache::Constants' );
push( @module, 'Apache::AxKit::StyleChooser::Cookie' );
push( @module, 'Apache::Admin::Config' );
push( @module, 'Apache::JAF::MyJAF' );
push( @module, 'Apache::TestServer' );
push( @module, 'Apache::src' );
push( @module, 'Apache::MakeCapital' );
push( @module, 'Apache::UploadSvr::User' );
push( @module, 'Apache::Wyrd::Form::View' );
push( @module, 'MasonX::Request::ExtendedCompRoot::WithApacheSession' );
push( @module, 'Apache::TestConfigPHP' );
push( @module, 'Apache::AuthzSplitDomainUser' );
push( @module, 'Apache::SWIT::Test::ModuleTester' );
push( @module, 'Apache::FilteringProxy' );
push( @module, 'Apache::PageKit::Config' );
push( @module, 'Apache::DAV::LockDB' );
push( @module, 'OpenFrame::Segment::Apache2::Response' );
push( @module, 'Apache::ExtUtils' );
push( @module, 'Apache::Wyrd::Services::Index' );
push( @module, 'Apache::TransLDAP' );
push( @module, 'Apache::GuessCharset' );
push( @module, 'Apache::Wyrd::Input::Condenser' );
push( @module, 'Apache::HTPL' );

fisher_yates_shuffle( \@module );

for ( my $i = 0; $i <= $#module; $i++ )
{
   my $mi = $plus->module_tree( $module[$i] );

   my $mid = $mi->package_name() . '-' . $mi->package_version();

   $mi->install();

   my $mist = $mi->status();

   $reporter->distribution( $mid );

   if ( $mist->installed() )
   {
      printf( "##\n## Says %s is installed, so send stable message.\n##\n", $mid );

      printf( "##\n## SIGNATURE CHECK=%d\n##\n",
              ( $mist->signature() && $mist->checksum_ok() && -f $mist->extract().'/SIGNATURE' ) || ! $mist->created(),
            );

      $reporter->grade( 'stable' );

   }
   else
   {
      printf( "##\n## Says %s failed to install, so send unstable message.\n##\n", $mi->name() );

      $reporter->grade( 'unstable' );

   } ## end if

   $reporter->send() || die $reporter->errstr();

} ## end for

##
## fisher_yates_shuffle - cookbook's inplace array permutation
##
sub fisher_yates_shuffle
{
   my $a = shift;

   for ( my $i = @$a; $i--; )
   {
      my $j = int( rand( $i + 1 ) );

      next if ( $i == $j );

      @$a[$i,$j] = @$a[$j,$i];

   } ## end for

} ## end sub fisher_yates_shuffle

1;

__END__

=head1 NAME

Bundle::Modules::Apache - All current I<stable> Apache modules in CPAN

=head1 SYNOPSIS

perl -MCPAN -e B<'install Bundle::Modules::Apache'>

cpan B<-i Bundle::Modules::Apache>

perl -MBundle::Modules::Apache

=head1 CONTENTS

Bundle::CPANPLUS

=head1 CHANGES

=over

=item 2006.0510 (YYYY.MMDD)

Initial version of: Bundle::Modules::Apache-2006.0510

This B<L<Bundle::Modules>> component package is in pre-alpha state with hash ordering.

The ordering of listed modules will eventually be prioritized for efficiency and completeness.

Modules commented out of this module list are either I<unstable> or I<stable> in the B<L<Bundle::Modules>> context.

Optimistically, if there are a lot of the modules commented out, then they are I<stable>, and we're listing I<unstable> context.

Optimistically, if there are a few of the modules commented out, then they are I<unstable>, and we're listing I<stable> context.

If you use the command C<B<man Bundle::Modules::Apache>>, type C<B</#>> to see the commented out modules as they're higlighted for you by B<man>.

=item 2006.0520

This contains a newly refined concept of: Bundle::Modules::Apache-2006.0520

This B<L<Bundle::Modules>> component package is in pre-alpha state with randomized hash ordering.

The ordering of listed modules is now shuffled randomly on each run for better efficiency and completeness.

Modules are no longer listed in CONTENTS, like other 'Bundle::' bundles out there.  I just list Bundle::CPANPLUS.

I support the idea of testing of installations in mass, and I use the information provided by CPANPLUS test reports.

The B<L<Bundle::Modules>> suite has I<stable> and I<unstable> listings that will be updated using the information provided by the testers.db

The B<L<Bundle::Modules>> suite uses Module::Build in its Build.PL, and generates a compatible Makefile.PL.

The B<L<Bundle::Modules>> suite uses the CPANPLUS::Backend to create its own random-ordered installations.

=back

=head1 DESCRIPTION

This Bundle package will install all of the modules listed, if they're not commented out of the B<L<Bundle::Modules>> context.

=head1 SEE ALSO

I<L<Bundle::Modules>>, I<L<Bundle::Modules::Unstable>>, I<L<Bundle::Modules::CPAN>>, I<L<Bundle::Modules::CPAN::Unstable>>, I<L<Bundle::Modules::Apache::Unstable>>, I<L<Bundle::Modules::Acme::Everything::Unique>>, I<L<Bundle::Modules::Acme::Everything::Unique::Unstable>>

=head1 AUTHORS

Eric R. Meyers E<lt>ermeyers@adelphia.netE<gt>

=head1 LICENSE for http://www.cpan.org/authors/id/E/ER/ERMEYERS/Bundle-Modules-2006.0524

perl

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

=head1 COPYRIGHT

Copyright (C) 2006 by Eric R. Meyers E<lt>ermeyers@adelphia.netE<gt>


